Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231597 - CVE-2007-1285 PHP Variable Destructor Deep Recursion Stack Overflow
Summary: CVE-2007-1285 PHP Variable Destructor Deep Recursion Stack Overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: public=20070301,reported=20070301,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 10:32 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0082
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 14:57:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0082 normal SHIPPED_LIVE Important: php security update 2007-03-14 14:57:13 UTC

Description Joe Orton 2007-03-09 10:32:29 UTC
Description of problem:
MOPB-03-2007 describes how, on automatic deallocation of an input variable
containing a deeply-nested-array, the PHP uses recursion which may overflow the
process stack and crash.

The impact of this issue is to allow remote attackers to cause
premature termination of the process running the PHP interpreter; in
most multi-process web servers such processes are immediately replaced
at a minor cost to performance.

Version-Release number of selected component (if applicable):
php-5.1.6-6.el5

Comment 7 Red Hat Bugzilla 2007-03-14 14:57:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0082.html



Note You need to log in before you can comment on or make changes to this bug.